Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.core
Enum Commands.Cmd

    java.lang.Object
      java.lang.Enum<Commands.Cmd>
          org.basex.core.Commands.Cmd

All Implemented Interfaces:
  Serializable, Comparable<Commands.Cmd>

Enclosing interface:
  Commands

    public static enum Commands.Cmd

extends Enum<Commands.Cmd>

Command definitions.

Enum Constant Summary
`ADD`
`ALTER`
`C`
`CHECK`
`CLOSE`
`CREATE`
`CS`
`DELETE`
`DROP`
`EXIT`
`EXPORT`
`FIND`
`GRANT`
`HA`
`HD`
`HELP`
`HG`
`HQ`
`I`
`INFO`
`KILL`
`LIST`
`O`
`OPEN`
`OPTIMIZE`
`PASSWORD`
`Q`
`QUIT`
`RUN`
`SET`
`SHOW`
`X`
`XQUERY`

Method Summary
`String` | `help(boolean detail)` Returns a help string.
`static Commands.Cmd` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Commands.Cmd[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HD

    public static final Commands.Cmd HD

### CREATE

    public static final Commands.Cmd CREATE

### C

    public static final Commands.Cmd C

### OPEN

    public static final Commands.Cmd OPEN

### O

    public static final Commands.Cmd O

### CHECK

    public static final Commands.Cmd CHECK

### ADD

    public static final Commands.Cmd ADD

### DELETE

    public static final Commands.Cmd DELETE

### INFO

    public static final Commands.Cmd INFO

### I

    public static final Commands.Cmd I

### CLOSE

    public static final Commands.Cmd CLOSE

### LIST

    public static final Commands.Cmd LIST

### DROP

    public static final Commands.Cmd DROP

### EXPORT

    public static final Commands.Cmd EXPORT

### OPTIMIZE

    public static final Commands.Cmd OPTIMIZE

### HQ

    public static final Commands.Cmd HQ

### XQUERY

    public static final Commands.Cmd XQUERY

### X

    public static final Commands.Cmd X

### FIND

    public static final Commands.Cmd FIND

### RUN

    public static final Commands.Cmd RUN

### CS

    public static final Commands.Cmd CS

### HA

    public static final Commands.Cmd HA

### SHOW

    public static final Commands.Cmd SHOW

### GRANT

    public static final Commands.Cmd GRANT

### ALTER

    public static final Commands.Cmd ALTER

### KILL

    public static final Commands.Cmd KILL

### HG

    public static final Commands.Cmd HG

### SET

    public static final Commands.Cmd SET

### PASSWORD

    public static final Commands.Cmd PASSWORD

### HELP

    public static final Commands.Cmd HELP

### EXIT

    public static final Commands.Cmd EXIT

### Q

    public static final Commands.Cmd Q

### QUIT

    public static final Commands.Cmd QUIT

Method Detail

### values

    public static Commands.Cmd[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Commands.Cmd c : Commands.Cmd.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Commands.Cmd valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### help

    public final String help(boolean detail)

  Returns a help string.

  Parameters:
    `detail` - show details
  Returns:
    string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD